/******************************************************************************
**                                                                           **
**      (c) Copyright 1990, Robert D. Goodearl  All Rights Reserved          **
**                                                                           **
**      goodearl@world.std.com                                               **
**                                                                           **
**      Written to compile on the Zortech C++ compiler V2.1                  **
**                                                                           **
*******************************************************************************
**                                                                           **
**  This software may be copied and used for non-commercial purposes         **
**  provided this header and all copyright notices are retained in the       **
**  source, and that the copyright notice remains in the executable.         **
**  This software is provided on an as-is basis with no warentees of         **
**  any kind.                                                                **
**                                                                           **
*******************************************************************************
**                                                                           **
**      miscellaneous definitions that don't have any better place to go     **
**                                                                           **
**                                                                           **
******************************************************************************/
#ifndef mischpp
#define mischpp

//used for flagging changes between sources as originally written for
//v2.06 of the compiler and those written for v2.14 as released
#define ZORTECH_2.10

#if defined(GLOBALS_HERE)
#define GLOBAL(type, name, val) type name = val;
#else
#define GLOBAL(type, name, val) extern type name;
#endif

enum BOOL {FALSE, TRUE};
const int DBAny     = 0xffff;
const int DBAll     = 0xffff;
const int DBArg     = 0x01;
const int DBDate    = 0x02;
const int DBDEnt    = 0x04;
const int DBDList   = 0x08;
const int DBFMode   = 0x10;
const int DBFSpec   = 0x20;
const int DBStr     = 0x40;

const int DBAnn     = 0;

GLOBAL(const char, VerName[], "1.2");

#if defined(DODEBUG)
#define DBUGANN(flag, prtstmt) if(DBAnn & flag){prtstmt}
#else
#define DBUGANN(flag, prtsmtm)
#endif //DODEBUG

#undef GLOBAL
#undef GLOBALS_HERE

#endif //mischpp
